    platform.apilevel = "1.0" -- to test stuff with the crappy 3.1 2DEditor API

    hasGiac = pcall(require, "luagiac")
    if not hasGiac then luagiac = {caseval = function() return "Giac module not loaded" end } end

    function on.create()
        TextBox = D2Editor.newRichText()
        TextBox:move(4, 4)
        TextBox:resize(W-4, H-4)
        TextBox:setText("Store the expression you want to calculate in 'a'")
        var.monitor("a")
    end

    function on.resize()
        W, H = platform.window:width(), platform.window:height()
        if TextBox then TextBox:resize(W-4,H-4) end
    end

    function on.varChange()
        local input = var.recall("a")
        local output = luagiac.caseval(input)
        TextBox:setText("\\0el {" .. output .. "}")
        return 0 -- success
    end

    on.enterKey = on.varChange -- forced, just in case